# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class WorkflowProvisioningState(Enum):

    not_specified = "NotSpecified"
    moving = "Moving"
    succeeded = "Succeeded"


class WorkflowState(Enum):

    not_specified = "NotSpecified"
    enabled = "Enabled"
    disabled = "Disabled"
    deleted = "Deleted"
    suspended = "Suspended"


class SkuName(Enum):

    not_specified = "NotSpecified"
    free = "Free"
    shared = "Shared"
    basic = "Basic"
    standard = "Standard"
    premium = "Premium"


class ParameterType(Enum):

    not_specified = "NotSpecified"
    string = "String"
    secure_string = "SecureString"
    int_enum = "Int"
    float_enum = "Float"
    bool_enum = "Bool"
    array = "Array"
    object_enum = "Object"
    secure_object = "SecureObject"


class WorkflowTriggerProvisioningState(Enum):

    not_specified = "NotSpecified"
    creating = "Creating"
    succeeded = "Succeeded"
    updating = "Updating"


class WorkflowStatus(Enum):

    not_specified = "NotSpecified"
    paused = "Paused"
    running = "Running"
    waiting = "Waiting"
    succeeded = "Succeeded"
    skipped = "Skipped"
    suspended = "Suspended"
    cancelled = "Cancelled"
    failed = "Failed"


class RecurrenceFrequency(Enum):

    second = "Second"
    minute = "Minute"
    hour = "Hour"
    day = "Day"
    week = "Week"
    month = "Month"
    year = "Year"


class KeyType(Enum):

    not_specified = "NotSpecified"
    primary = "Primary"
    secondary = "Secondary"
